#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	FreezeGun: Let your Python 2 tests travel through time
Summary(pl.UTF-8):	FreezeGun - umożliwienie testom Pythona 2 podróżowania w czasie
Name:		python3-freezegun
Version:	1.5.1
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/freezegun/
Source0:	https://files.pythonhosted.org/packages/source/f/freezegun/freezegun-%{version}.tar.gz
# Source0-md5:	fb7324aaa31c6fafabf16a623cc62e38
Patch0:		python3.13.patch
URL:		https://pypi.org/project/freezegun/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-dateutil >= 2.7
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FreezeGun is a library that allows your Python tests to travel through
time by mocking the datetime module.

%description -l pl.UTF-8
FreezeGun to biblioteka pozwalająca testom w Pythonie podróżowanie w
czasie dzięki atrapie modułu datetime.

%prep
%setup -q -n freezegun-%{version}
%patch -P0 -p1

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG README.rst
%{py3_sitescriptdir}/freezegun
%{py3_sitescriptdir}/freezegun-%{version}-py*.egg-info
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-freezegun.git;a=log;h=master

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> b71ac7c
- up to 1.5.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7d6b195
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f70a60a
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> d912fd6
- use patch -P

* Mon Oct 23 2023 Jakub Bogusz <qboosh@pld-linux.org> ee1d6d1
- updated to 1.2.2 + PR to fix staticmethods with python3.10

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b15002f
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b67c921
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7ad7881
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 837c07b
- disable pytest plugins

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> cf8646b
- release 2 (by relup.sh)

* Thu Aug 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 750984f
- updated to 0.3.15
- removed obsolete mock patch

* Sat Dec 28 2019 Jakub Bogusz <qboosh@pld-linux.org> a7ec71f
- disable uuid tests failing on python 3.8; release 2

* Sat Dec 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 43f7d4e
- updated to 0.3.12
- updated mock patch

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ca35a10
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Nov 07 2018 Jakub Bogusz <qboosh@pld-linux.org> d700c20
- updated to 0.3.11
- removed obsolete python3.7 patch

* Thu Oct 11 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> c763178
- BR: python-modules-sqlite

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 97944ef
- added python3.7 patch (fixes tests with python 3.7.x)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ef068
- release 2 (by relup.sh)

* Sat May 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 7f39570
- new

